%define major 10
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define staticdevelname %mklibname %{name} -d -s
%define subrel 1

Summary:	Tools for manipulating graphics files in netpbm supported formats
Name:		netpbm
Version:	10.34
Release:	%mkrel 8
License:	GPL Artistic MIT
Group:		Graphics

Source0:	http://prdownloads.sourceforge.net/netpbm/%{name}-%{version}.tar.bz2
Source1:	mf50-netpbm_filters
Source2:	test-images.tar.bz2
Source3:	http://prdownloads.sourceforge.net/netpbm/%{name}doc-%{version}.tar.bz2
Patch0:		netpbm-10.17-time.patch
Patch1:		netpbm-9.24-strip.patch
Patch3:		netpbm-10.32-message.patch
Patch4:		netpbm-10.22-security2.patch
Patch5:		netpbm-10.22-cmapsize.patch
Patch6:		netpbm-10.30-gcc4.patch
Patch7:		netpbm-10.34-security.patch
Patch11:	netpbm-10.24-nodoc.patch
Patch13:	netpbm-10.34-bmptopnm.patch
Patch14:	netpbm-10.28-CAN-2005-2471.patch
Patch15: 	netpbm-10.33-ppmtompeg.patch
Patch16:	libjasper-1.701.0-CVE-2007-2721.patch

BuildRequires:	flex png-devel jpeg-devel tiff-devel
BuildRequires:	libx11-devel libxml2-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	%{libname} = %{version}
Obsoletes:	libgr-progs libgr1-progs
Provides:	libgr-progs libgr1-progs
BuildConflicts:	svgalib-devel
Url:		http://netpbm.sourceforge.net/

%description
The netpbm package contains a library of functions which support
programs for handling various graphics file formats, including .pbm
(portable bitmaps), .pgm (portable graymaps), .pnm (portable anymaps),
.ppm (portable pixmaps) and others.

%package -n	%{libname}
Summary:        A library for handling different graphics file formats
Group:          System/Libraries
Provides:	lib%{name}
Provides:	libgr libgr1 libnetpbm1
Obsoletes:      libgr libgr1 libnetpbm1

%description -n	%{libname}
The netpbm package contains a library of functions which support
programs for handling various graphics file formats, including .pbm
(portable bitmaps), .pgm (portable graymaps), .pnm (portable anymaps),
.ppm (portable pixmaps) and others.

%package -n	%{develname}
Summary:	Development tools for programs which will use the netpbm libraries
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel
Obsoletes:	libgr-devel libgr1-devel libnetpbm1-devel
Provides:	libgr-devel libgr1-devel libnetpbm1-devel netpbm-devel
Obsoletes:	%{mklibname %{name} 10 -d}

%description -n	%{develname}
The netpbm-devel package contains the header files and programmer's
documentation for developing programs which can handle the various
graphics file formats supported by the netpbm libraries.

Install netpbm-devel if you want to develop programs for handling the
graphics file formats supported by the netpbm libraries. You'll also
need to have the netpbm package installed.

%package -n	%{staticdevelname}
Summary:	Static libraries for the netpbm libraries
Group:		Development/C
Requires:	%{libname}-devel = %{version}
Provides:	lib%{name}-static-devel
Obsoletes:	libgr-static-devel libgr1-static-devel libnetpbm1-static-devel
Provides:	libgr-static-devel libgr1-static-devel libnetpbm1-static-devel netpbm-static-devel
Obsoletes:	%{mklibname %{name} 10 -d -s}

%description -n	%{staticdevelname}
The netpbm-devel package contains the static libraries (.a)
for developing programs which can handle the various
graphics file formats supported by the netpbm libraries.

Install netpbm-devel if you want to develop programs for handling the
graphics file formats supported by the netpbm libraries. You'll also
need to have the netpbm package installed.

%prep

%setup -q -a 2
%patch0 -p1 -b .time
%patch1 -p1 -b .strip
%patch3 -p1 -b .message
%patch4 -p1 -b .security2
%patch5 -p1 -b .cmapsize
%patch7 -p1 -b .security
%patch6 -p1 -b .gcc4
%patch11 -p1 -b .nodoc
%patch13 -p1 -b .bmptopnm
%patch14 -p1 -b .CAN-2005-2471
%patch15 -p1 -b .ppmtompeg
pushd converter/other/jpeg2000
%patch16 -p1 -b .cve-2007-2721
 popd


tar xjf %{SOURCE2}
chmod 0644 doc/*

%build
./configure <<EOF



















EOF

TOP=`pwd`
make \
	CC=%{__cc} \
	CFLAGS="$RPM_OPT_FLAGS -fPIC" \
	LDFLAGS="-L$TOP/pbm -L$TOP/pgm -L$TOP/pnm -L$TOP/ppm" \
	JPEGINC_DIR=%{_includedir} \
	PNGINC_DIR=%{_includedir} \
	TIFFINC_DIR=%{_includedir} \
	JPEGLIB_DIR=%{_libdir} \
	PNGLIB_DIR=%{_libdir} \
	LINUXSVGALIB="NONE" \
	X11LIB=%{_libdir}/libX11.so \
	TIFFLIB_DIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT
make package pkgdir=$RPM_BUILD_ROOT%{_prefix} LINUXSVGALIB="NONE"

# Ugly hack to have libs in correct dir on 64bit archs.
mkdir -p $RPM_BUILD_ROOT%{_libdir}
if [ "%{_libdir}" != "/usr/lib" ]; then
  mv $RPM_BUILD_ROOT/usr/lib/lib* $RPM_BUILD_ROOT%{_libdir}
fi

cp -af lib/libnetpbm.a $RPM_BUILD_ROOT%{_libdir}/libnetpbm.a
ln -sf libnetpbm.so.%{major} $RPM_BUILD_ROOT%{_libdir}/libnetpbm.so

mkdir -p $RPM_BUILD_ROOT%{_mandir}
tar jxf %{SOURCE3} -C $RPM_BUILD_ROOT%{_mandir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/usr/misc/*.map $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT/usr/README
rm -rf $RPM_BUILD_ROOT/usr/VERSION
rm -rf $RPM_BUILD_ROOT/usr/link
rm -rf $RPM_BUILD_ROOT/usr/misc
rm -rf $RPM_BUILD_ROOT/usr/man
rm -rf $RPM_BUILD_ROOT/usr/pkginfo
rm -rf $RPM_BUILD_ROOT/usr/config_template


mkdir -p %buildroot/usr/share/printconf/mf_rules
cp %{SOURCE1} %buildroot/usr/share/printconf/mf_rules/

mkdir -p %buildroot/usr/share/printconf/tests
cp test-images/* %buildroot/usr/share/printconf/tests/

# multiarch policy
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/pm_config.h


%clean
rm -rf $RPM_BUILD_ROOT

%post   -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files 	-n %{libname}
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/lib*.so.*
%doc doc/*

%files 	-n %{develname}
%defattr(-,root,root)
%doc doc/COPYRIGHT.PATENT doc/Netpbm.programming
%{_includedir}/*.h
%multiarch %{multiarch_includedir}/pm_config.h
%attr(755,root,root) %{_libdir}/lib*.so
%{_mandir}/man3/*

%files 	-n %{staticdevelname}
%defattr(-,root,root)
%doc doc/COPYRIGHT.PATENT
%{_libdir}/*.a

%files
%defattr(-,root,root)
%doc doc/COPYRIGHT.PATENT
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man[15]/*
%{_datadir}/%{name}-%{version}
%dir %{_datadir}/printconf
%dir %{_datadir}/printconf/mf_rules
%dir %{_datadir}/printconf/tests
%{_datadir}/printconf/mf_rules/*
%{_datadir}/printconf/tests/*


%changelog
* Mon Nov 05 2007 Vincent Danen <vdanen@mandriva.com> 10.34-8.1mdv2008.0
- P16: security fix for CVE-2007-2721 (embedded libjasper)

* Mon Oct 01 2007 Oden Eriksson <oeriksson@mandriva.com> 10.34-8mdv2008.0
+ Revision: 94149
- rebuilt due to missing packages

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 10.34-7mdv2008.0
+ Revision: 90006
- rebuild

* Tue Sep 18 2007 Anssi Hannula <anssi@mandriva.org> 10.34-6mdv2008.0
+ Revision: 89729
- rebuild due to package loss

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 10.34-5mdv2008.0
+ Revision: 83516
- new devel naming


* Sun Oct 15 2006 Oden Eriksson <oeriksson@mandriva.com> 10.34-4mdv2007.0
+ Revision: 64864
- bzip2 cleanup
- rebuild
- bunzip patches
- Import netpbm

* Sun Jul 16 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 10.34-2
- add BuildRequires: libx11-devel libxml2-devel

* Fri Jul 14 2006 Stew Benedict <sbenedict@mandriva.com> 10.34-1mdv2007.0
- New release 10.34
- update P7(Red Hat security patch, name it 10.34 though)
- rediff P13(bmptopnm)
- drop P16(ppmtogif), P17(nstring), P18(pnmtofits overflow)
- add 3 more CR to the empty configure input

* Sat May 27 2006 Stew Benedict <sbenedict@mandriva.com> 10.33-2mdv2007.0
- P18: fix for #21444 (buffer overflow in pnmtofits)

* Tue May 09 2006 Stew Benedict <sbenedict@mandriva.com> 10.33-1mdk
- 10.33 
- drop commented P8,12; drop P2,9,15; update P13
- update P3,6,7; add P15,16,17 (from Fedora)

* Fri Nov 04 2005 Frederic Crozat <fcrozat@mandriva.com> 10.29-4mdk
- package now owns its share directories

* Wed Nov 02 2005 Olivier Blin <oblin@mandriva.com> 10.29-3mdk
- from Stew Benedict: security update for CAN-2005-2978 (P15, #19447)
  (diff against pnmtopng.c from 0.30)

* Wed Nov 02 2005 Abel Cheung <deaddog@mandriva.org> 10.29-2mdk
- Rebuild

* Sun Aug 21 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 10.29-1mdk
- 10.29
- sync with fedora:
	o fix segfault in bmptopnm caused by freeing an uninitialized pointer (P13)
	o update .CAN-2005-2471 patch (P14)
	o update P4, P6 & P7
- drop P8
- fix buildconflicts
- %%mkrel

* Sun Aug 14 2005 Stew Benedict <sbenedict@mandriva.com> 10.26-5mdk
- buildconflicts

* Sun Aug 14 2005 Stew Benedict <sbenedict@mandriva.com> 10.26-4mdk
- rebuild in a clean(er) environment without libsvgalib

* Sat Aug 13 2005 Olivier Blin <oblin@mandriva.com> 10.26-3mdk
- from Vincent Danen: security fix for pstopnm (Patch12)
- fix Patch7 for gcc4
- remove Requires on release

* Wed Feb 16 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 10.26-2mdk
- multiarch
- netpbm is very likely to depend on libm (pow, log), aka fix build of
  e.g. gocr with netpbm support on x86_64 and others without such builtins

* Thu Jan 13 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 10.26-1mdk
- 10.26
- update security patch (P7 from fedora)
- drop P9 (merged with P7) & P10 (merged upstream)

* Sat Dec 18 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 10.25-2mdk
- remove fix of path to perl in scripts (not needed anymore)

* Fri Dec 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 10.25-1mdk
- sync with fedora (about friggin' time!)
- cosmetics

